com.versionone.apiclient

## Class ModelsAndServices

- java.lang.Object
- - com.versionone.apiclient.ModelsAndServices

- All Implemented Interfaces:
    IModelsAndServices

  Deprecated.
  This class has been deprecated. Please use V1Connector instead.

      @Deprecated
      public final class ModelsAndServices
      extends Object
      implements IModelsAndServices

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelsAndServices()` Deprecated.
    `ModelsAndServices(IConnectors connectors)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `IMetaModel` | `getMetaModel()` Deprecated.
    `IMetaModel` | `getMetaModelWithProxy()` Deprecated.
    `IServices` | `getServices()` Deprecated.
    `IServices` | `getServicesWithProxy()` Deprecated.
    `V1Configuration` | `getV1Configuration()` Deprecated.
    `V1Configuration` | `getV1ConfigurationWithProxy()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelsAndServices

          public ModelsAndServices()
                            throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### ModelsAndServices

          public ModelsAndServices(IConnectors connectors)

      Deprecated.

  - ### Method Detail

    - #### getMetaModel

          public IMetaModel getMetaModel()

      Deprecated.
      Specified by:
        `getMetaModel` in interface `IModelsAndServices`

    - #### getMetaModelWithProxy

          public IMetaModel getMetaModelWithProxy()
                                           throws URISyntaxException

      Deprecated.
      Specified by:
        `getMetaModelWithProxy` in interface `IModelsAndServices`
      Throws:
        `URISyntaxException`

    - #### getServices

          public IServices getServices()

      Deprecated.
      Specified by:
        `getServices` in interface `IModelsAndServices`

    - #### getServicesWithProxy

          public IServices getServicesWithProxy()
                                         throws URISyntaxException

      Deprecated.
      Specified by:
        `getServicesWithProxy` in interface `IModelsAndServices`
      Throws:
        `URISyntaxException`

    - #### getV1Configuration

          public V1Configuration getV1Configuration()

      Deprecated.
      Specified by:
        `getV1Configuration` in interface `IModelsAndServices`

    - #### getV1ConfigurationWithProxy

          public V1Configuration getV1ConfigurationWithProxy()
                                                      throws URISyntaxException

      Deprecated.
      Specified by:
        `getV1ConfigurationWithProxy` in interface `IModelsAndServices`
      Throws:
        `URISyntaxException`

Copyright © 2016 VersionOne, Inc.. All rights reserved.